Categories:
  - Reading
License: Apache-2.0
WebSite: https://code.google.com/p/quickdic-dictionary
SourceCode: https://code.google.com/p/quickdic-dictionary/source

AutoName: QuickDic
Summary: Offline translation dictionary
Description: |-
    Uses data from Wiktionary and Beolingus to generate dictionary files that can be
    used offline. These can be downloaded from within the app. Learn how to
    construct your own dictionaries by viewing the wiki page on the website.

    Recently a fork has been created to provide updates, see
    https://f-droid.org/packages/de.reimardoeffinger.quickdic.

Builds:
  - versionName: 3.0.1
    versionCode: 15
    commit: 6507667d0e0af60c201ae6c732c15e2fd07886ae
    prebuild:
      - mkdir libs
      - mv jars/*.jar libs/
      - git clone https://code.google.com/p/quickdic-dictionary.util/ Util
      - cd Util
      - git checkout c848279fde9af59fdd167eacbc5deb0258223c8e
      - cd ..
      - cp -r Util/src .
      - rm -rf Util/

  - versionName: '3.1'
    versionCode: 16
    commit: 64d2b5
    prebuild:
      - mkdir libs
      - mv jars/*.jar libs/
      - git clone https://code.google.com/p/quickdic-dictionary.util/ Util
      - cd Util
      - git checkout c8f5ba9eac5f110d574ef8b443a205051026688c
      - cd ..
      - cp -r Util/src .
      - rm -rf Util/

  - versionName: '3.2'
    versionCode: 18
    commit: '115509'
    prebuild:
      - mkdir libs
      - mv jars/*.jar libs/
      - git clone https://code.google.com/p/quickdic-dictionary.util/ Util
      - cd Util
      - git checkout c8f5ba9eac5f110d574ef8b443a205051026688c
      - cd ..
      - cp -r Util/src .
      - rm -rf Util/

  - versionName: '3.3'
    versionCode: 21
    commit: b50c9fe
    prebuild:
      - mkdir libs
      - mv jars/*.jar libs/
      - git clone https://code.google.com/p/quickdic-dictionary.util/ Util
      - cd Util
      - git checkout 2781abb3e8f4
      - cd ..
      - cp -r Util/src .
      - rm -rf Util/

  - versionName: 4.0.1
    versionCode: 23
    commit: 1950e66885eb
    init:
      - git clone https://code.google.com/p/quickdic-dictionary.util/ Util
      - cd Util
      - git checkout 6beac13a3bc6
    prebuild:
      - mkdir libs
      - sed -i 's@\(android.library.reference.1=\).*@\1Util@' project.properties
      - cd jars/icu4j-4_8_1_1/
      - sed -i '108d' build.xml
      - ant clean collator transliterator moduleJar
      - mv icu4j.jar ../../libs/

  - versionName: 5.0.1
    versionCode: 25
    commit: 3e6ba19f4949
    srclibs:
      - 1:QuickdicUtils@d57bfc6bcf5b
      - 2:ActionBarSherlock@4.4.0
    prebuild:
      - cp libs/android-support-v4.jar $$ActionBarSherlock$$/libs/
      - cd jars/icu4j-52_1/
      - ant clean collator transliterator moduleJar
      - mv icu4j.jar ../../libs/

MaintainerNotes: No tags, but releases can be cross-referenced with the apk in the
    source repo.

ArchivePolicy: 0 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 5.0.1
CurrentVersionCode: 25

NoSourceSince: 5.0.1
